
/**********************************************************
 Record View
***********************************************************/

div.right-align {
    text-align: right;
}

div.right-align span {
    width: 100%;
}

.record-view.hide {
    visibility: hidden;
    height: 0;
}

#recordViewForm {
    overflow-y: visible;
    overflow-x: hidden;
}

.EpiTextBox > input {
    width: inherit;
}

.record-panel {
    margin-left: 10px;
    /*margin-right: 30px;*/
    overflow-y: auto;
    overflow-x: hidden;
}

@media screen and (max-width: 500px) {
    .record-panel {
        margin-left: 0;
    }
}

.form-group-div {
    margin-left: 10px;
    margin-right: 0;
    margin-bottom: 2px;
    background: #ffffff;
    background: rgba(255,255,255,.5);
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    border: 1px solid #bbb;
}

.form-group > input[type=checkbox] {
    width: 26px;
    height: 26px;
    border: 1px solid #bbb;
}

.record-group input[type=checkbox] {
    height: 30px;
}
/* on tracker we want checkbox aligned left, so width has to be set */
#trackerRecordViewForm input[type=checkbox] {
    width: 30px;
}

/*.chkSwitch .form-group{
    margin-top: 15px;
    height: 40px;
}*/

.checkbox-display-container {
    width: 100%;
    cursor: pointer;
}

.checkbox-display-container.checkbox-display-disabled {
    cursor: not-allowed;
    color: gray;
}

#settingsForm .checkbox-display {
    padding: 14px;
}

textarea.form-control.editor {
    height: 145px;
}

.full-width {
    width: 100%;
}

.standard-width {
    width: 300px;
}

.column-editor {
    min-width: 250px;
}

/* in modal dialogs (parameters) allow lesser size */
.ep-modal-window .column-editor {
    min-width: 50px;
}

.standard-widthTimes1 {
    width: 33%;
}

.standard-widthTimes2 {
    width: 66%;
}

.standard-widthTimes3 {
    width: 100%;
}

.form-control.editor[disabled] {
    cursor: default;
}

.control-label {
    display: block;
}

.control-label.control-label-disabled {
    color: gray;
}

.record-group {
    /* width: 300px; */
    padding: 10px;
    margin-top: 8px;
    margin-right: 8px;
}

.record-group .input-group {
    width: 100%;
}

.record-group .checkbox-display {
    padding: 14px;
}

td .record-group {
    width: auto;
    margin-top: 0;
    padding: 0 10px 10px 10px;
}

#rowRecordView {
    overflow-y: hidden;
}

.row-rule-indicator {
    height: 8px;
    width: 100%;
}

.record-group .ema-time-picker {
    padding:0px;
    padding-left:2px;
    width:100px;
    top:0px;
    border:0px;
    background-color:transparent;
}
.record-group .ema-time-picker.ema-time-meridian {
    width:140px;
}
.record-group .ema-time-picker .form-control {
  padding: 0px;
  min-width: 30px;
}
.record-group .date input[type=date] {
    line-height: 20px;
}
